PHY_CONNECT_DIRECT(9)

NAME
phy_connect_direct - connect an ethernet device to a specific phy_device

SYNOPSIS

int phy_connect_direct(struct net_device * dev, struct phy_device * phydev, void (*handler) (struct net_device *), phy_interface_t interface);

ARGUMENTS

dev
    the network device to connect

phydev
    the pointer to the phy device

handler
    callback function for state change notifications

interface
    PHY device's interface

COPYRIGHT